#include <clientapi.h>

#include "DeepAnnotate.h"
#include "DATextTable.h"

int main ( int argc, char** argv )
{
	ClientUser ui;
	ClientApi client;
	StrBuf msg;
	Error e;

	// client.SetProtocol( "tag", "" );

	// Connect to server

	client.Init( &e );

	if( e.Test() )
	{
	    e.Fmt( &msg );
	    fprintf( stderr, "%s\n", msg.Text() );
	    return 1;
	}

	DeepAnnotate DA;
	argc--;
	argv++;
	
	DA.Run( &client, &ui, argc, argv );

	client.Final( &e );

	if( e.Test() )
	{
	    e.Fmt( &msg );
	    fprintf( stderr, "%s\n", msg.Text() );
	    return 1;
	}

	return 0;
}
