class StrPtr;
class StrBuf;
class DAFile;
class DAFileDict;

class DAInteg
{
public:
	// Represents a "from" integ that carries content.
	enum How { Add, Branch, Copy, Edit, Ignore, Merge };

	DAInteg( DAInteg* stack );
	~DAInteg();

	void Init( How h, const StrPtr* f, int s, int e );
	void FindPointer( DAFileDict* dict );

	How		getHow()	{ return how;	};
	int		getSRev()	{ return srev;	};
	int		getERev()	{ return erev;	};
	DAFile* getFile()	{ return file;	};
	const StrPtr& getFilePath();

	DAInteg* Next() { return stack_next; };

private:
	How how;
	StrBuf* filePath;
	DAFile* file;
	int srev, erev;

	DAInteg* stack_next;
};
