// Must include clientapi.h

class ClientUser;
class DAFile;
class DARev;

class DAUserAnnotate :
	public ClientUser
{
public:
	DAUserAnnotate( DAFile* f, ClientUser* ui, bool quiet );
	~DAUserAnnotate(void);

	void OutputStat( StrDict* varList );
	void Message( Error* err );
	void OutputText( const char* data, int length );

private:
	DAFile* file;
	ClientUser* ui;
	bool quiet;
	bool done, seenFile;
};
